## hydrapaper 2.0

=== debian/changelog ===
hydrapaper (2.0-2) unstable; urgency=medium

  * Source only upload for testing migration.

 -- Francisco M Neto <fmneto@fmneto.com>  Wed, 28 Oct 2020 00:11:23 +0000

hydrapaper (2.0-1) unstable; urgency=medium

  * Initial release (Closes: #969189)

 -- Francisco M Neto <fmneto@fmneto.com>  Wed, 09 Sep 2020 12:26:08 +0000

## hydrapaper 3.3.1

=== meson_options.txt ===
option (
    'enabledaemon',
    type: 'boolean',
    value: true
)

## hydrapaper 2.0.2

=== debian/changelog ===
hydrapaper (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2.

 -- Francisco M Neto <fmneto@fmneto.com>  Sun, 08 Nov 2020 19:42:35 +0000

=== debian/control ===
Source: hydrapaper
Section: graphics
Priority: optional
Maintainer: Francisco M Neto <fmneto@fmneto.com>
Build-Depends: debhelper-compat (= 13),
 meson,
 pandoc,
 dh-python,
 libgirepository1.0-dev,
 python3,
 python3-willow,
 libwnck-3-dev,
 libgtk-3-dev
Standards-Version: 4.5.0
Homepage: https://gitlab.com/gabmus/HydraPaper
Vcs-Browser: https://salsa.debian.org/fmneto-guest/hydrapaper
Vcs-Git: https://salsa.debian.org/fmneto-guest/hydrapaper.git
Rules-Requires-Root: no

Package: hydrapaper
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
 python3-gi,
 gir1.2-handy-1,
 libhandy-1-0
Description: Utility that sets background independently for each monitor
 HydraPaper is a GTK-based utility that sets background images for multiple
 monitor desktops independently.
 .
 It works by merging multiple wallpaper images into one and setting the result
 as wallpaper with the "Spanned" option.
 .
 It is based on the GNOME 3 Desktop but officially supports MATE and Budgie
 as well, and should work on any GNOME-based desktop like Pantheon.

=== debian/watch ===
version=4
https://gitlab.com/gabmus/HydraPaper/tags?sort=updated_desc archive/@ANY_VERSION@/HydraPaper-\d\S*@ARCHIVE_EXT@

## hydrapaper 3.3.1

=== debian/changelog ===
hydrapaper (3.3.1-2) unstable; urgency=medium

  * Fixing issues with packaging (Closes: #1018222).
  * debian/control: Updated dependencies and package description.
  * debian/copyright: Added missing license (CC0-1.0).
  * debian/patches: Removed 010_fix-quotation-marks-in-fstring.patch; issue has
    been fixed in upstream.
  * debian/tests: Created a superficial test for basic checking.
  * debian/watch: Removed blank lines at the end of the file.

 -- Francisco M Neto <fmneto@fmneto.com>  Sat, 27 Aug 2022 13:02:18 +0000

hydrapaper (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1.
  * Bumped Standards-Version to 4.6.1.
  * Reorganized dependencies (application now uses GTK 4) (Closes: #1010697).

 -- Francisco M Neto <fmneto@fmneto.com>  Thu, 25 Aug 2022 16:21:19 +0000

=== debian/control ===
Source: hydrapaper
Section: graphics
Priority: optional
Maintainer: Francisco M Neto <fmneto@fmneto.com>
Build-Depends: debhelper-compat (= 13),
 meson,
 pandoc,
 dh-python,
 libgirepository1.0-dev,
 python3,
 libdbus-1-dev,
 libgtk-4-dev,
 libadwaita-1-dev,
 blueprint-compiler
Standards-Version: 4.6.1
Homepage: https://gitlab.com/gabmus/HydraPaper
Vcs-Browser: https://salsa.debian.org/fmneto-guest/hydrapaper
Vcs-Git: https://salsa.debian.org/fmneto-guest/hydrapaper.git
Rules-Requires-Root: no

Package: hydrapaper
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-gi,
 python3-pil,
 python3-dbus,
 gir1.2-gtk-4.0,
 gir1.2-adw-1
Description: Wallpaper manager with multi monitor support
 HydraPaper is a wallpaper management utility intended for the GNOME Desktop.
 It can set background images for multiple monitor desktops independently.
 .
 It supports adapting images to different desktop ratios, zooming, centering or
 fitting images. A CLI interface is available.
 .
 Images can be marked as favorites or set randomly. The application provides
 options for customizing its functionality.
 .
 It is based on the GNOME Desktop but officially supports MAT, Budgie and
 Cinnamon.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@ --with python3

=== debian/tests/control ===
Test-Command: hydrapaper --help
Restrictions: allow-stderr, superficial
Depends: @, xdg-user-dirs

=== debian/watch ===
version=4
https://gitlab.com/gabmus/HydraPaper/tags?sort=updated_desc archive/@ANY_VERSION@/HydraPaper-\d\S*@ARCHIVE_EXT@
